Subject: Re: bug#20870: 24.5; [PATCH] Options presented in ispell *Choices* should be accessible via keyboard

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Aug 2020 11:07:29 +0200

Eli Zaretskii <[email-masked]> writes:

>> Therefore, the idea is to use a customizable variable to hold a vector of key
>> specifications that are used by ispell-command-loop in the given order to
>> assemble its options.
>
> Thanks, but isn't it better to simply use numbers longer than one
> digit?  E.g., if the number of choices is more than 10, use 00, 01,
> etc.; if the number of choices is more than 100, use 000, 001,
> etc., and so on and so forth?  Bonus points for being able to support
> responses like 1 and 10 when the number of choices is more than 100
> (but this is a nicety, not really required IMO).
>
> I just cannot imagine anyone in the need for customizing this.

I think that would be a better interface, too, so the patch isn't ideal,
and I'm closing this bug report.  If somebody wants to work on Eli's
suggestion, a new bug report would perhaps be appropriate.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no